@import 'variables';

.modal-content {
  > * {
    padding-left: 7px;
    padding-right: 7px;
  }

  .row {
    border-bottom: solid 1px #eceeef;
  }

  label {
    display: block;
    margin: 13px 0;
    color: $gray-darker;
    font-size: 11px;
    font-weight: 700;
    line-height: 13px;
    text-transform: uppercase;
  }
  mat-radio-button + mat-radio-button {
    margin-left: 18px;
  }

  .list-col {
    width: 50%;
    padding-bottom: 13px;
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
  }

  ::ng-deep.mat-checkbox {
    height: 21px;

    .mat-checkbox-inner-container {
      width: 16px;
      height: 16px;
      bottom: 1px;
    }

    .mat-checkbox-label {
      color: $gray-darker;
      font-size: 12px;
    }

    .mat-checkbox-checked {
      &.mat-accent {
        .mat-checkbox-background {
          background: $white-text-color;
        }
      }

      .mat-checkbox-checkmark {
        fill: $primary-color;
      }
    }
  }

  ::ng-deep.mat-checkbox-checked {
    &.mat-accent {
      .mat-checkbox-background {
        background: $white-text-color;
      }
    }

    .mat-checkbox-checkmark {
      fill: $primary-color;
    }

    .mat-checkbox-checkmark-path {
      stroke: $primary-color !important;
    }
  }

  ::ng-deep.mat-radio-button {
    .mat-radio-container {
      width: 18px;
      height: 18px;
    }
    .mat-radio-outer-circle {
      width: 18px;
      height: 18px;
      border-color: $gray-disabled;
    }
    .mat-radio-inner-circle {
      width: 18px;
      height: 18px;
    }
    .mat-radio-label-content {
      color: $gray-darker;
      font-size: 12px;
    }
  }
}
